Get Components List
curl --request POST \
--url https://api-v2.production.higg.org/pic-api/v1/components/search \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-developer-request-token: <api-key>' \
--data '
{
"from": 123,
"size": 123,
"ids": [
"<string>"
],
"textSearch": "<string>"
}
'import requests
url = "https://api-v2.production.higg.org/pic-api/v1/components/search"
payload = {
"from": 123,
"size": 123,
"ids": ["<string>"],
"textSearch": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"x-developer-request-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-developer-request-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({from: 123, size: 123, ids: ['<string>'], textSearch: '<string>'})
};
fetch('https://api-v2.production.higg.org/pic-api/v1/components/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from": 123,
"size": 123,
"total": 123,
"results": [
{
"_id": "<string>",
"name": "<string>"
}
]
}Product Attributes
Get Components List
POST
/
components
/
search
Get Components List
Use this endpoint to search the component catalog. Components represent additional product elements such as buttons, zippers, and trims that contribute to a product’s environmental impact.
Request body params
| Name | Type | Description |
|---|---|---|
textSearch | string | Search components by name. |
ids | Array<string> | Filter by specific component IDs. |
from | number | [DEFAULT: 0] Pagination start index. |
size | number | [DEFAULT: 50] Number of results to return (max 50). |
sort | object | Sorting configuration { field: string, order: "asc" | "desc" }. |
Implementation Details
- Pagination: Maximum page size is capped at 50 results.
- Usage: Use the returned
_idvalues (ascomponentId) in thecomponentsarray when creating or updating products.
Body
application/json
⌘I

